<?php
/**
 * sh404SEF support for com_muscol component.
 * Author : Germinal Camps
 * contact : joomlamusicsolutions@gmail.com
 * 
 * {shSourceVersionTag: Version 1.0.0 - 2009-03-04}
 * 
 *    
 */
defined( '_JEXEC' ) or die( 'Direct Access to this location is not allowed.' );

// ------------------  standard plugin initialize function - don't change ---------------------------
global $sh_LANG, $sefConfig;  
$shLangName = '';
$shLangIso = '';
$title = array();
$shItemidString = '';
$dosef = shInitializePlugin( $lang, $shLangName, $shLangIso, $option);
if ($dosef == false) return;
// ------------------  standard plugin initialize function - don't change ---------------------------

// ------------------  load language file - adjust as needed ----------------------------------------
//$shLangIso = shLoadPluginLanguage( 'com_XXXXX', $shLangIso, '_SEF_SAMPLE_TEXT_STRING');
// ------------------  load language file - adjust as needed ----------------------------------------

// remove common URL from GET vars list, so that they don't show up as query string in the URL
shRemoveFromGETVarsList('option');
shRemoveFromGETVarsList('lang');
if (!empty($Itemid))
  shRemoveFromGETVarsList('Itemid');
if (!empty($limit))  
shRemoveFromGETVarsList('limit');
if (isset($limitstart)) 
  shRemoveFromGETVarsList('limitstart'); // limitstart can be zero
    

// start by inserting the menu element title (just an idea, this is not required at all)
$task = isset($task) ? @$task : null;
$view = isset($view) ? @$view : null; //germi
$Itemid = isset($Itemid) ? @$Itemid : null;
$titol_menu = shGetComponentPrefix($option); 
$titol_menu = empty($titol_menu) ?  
		getMenuTitle($option, $task, $Itemid, null, $shLangName) : $shSampleName;
$titol_menu = (empty($titol_menu) || $titol_menu == '/') ? 'MusicCollection':$titol_menu;

/*
switch ($task) {
	case 'task1':
	case 'task2' :
	  $dosef = false;  // these tasks do not require SEF URL
	break;

	default:
    $title[] = $sh_LANG[$shLangIso]['_COM_SEF_SH_VIEW_SAMPLE'];// insert a 'View sample' string, 
                                                               // according to language
                                                               // only if you have defined the 
	  if (!empty($sampleId)) {                                   // fetch some data about the content
      $q = 'SELECT id, title FROM #__samplenames WHERE id = '.$sampleId;  // select clause includes id, even if
      $database->setQuery($q);                                 // we don't need it, in order for Joomfish to 
                                                               // return a translated version 
      
      if (shTranslateUrl($option, $shLangName))               // get it in the right language
        $sampleTitle = $database->loadObject( );
      else $sampleTitle = $database->loadObject( false);        // second param at false forces Joomfish to 
                                                               // return default language version instead of
                                                               // current language
      
      if ($sampleTitle) {                                      // if we found a title for this element
        $title[] = $sampleTitle->title;                        // insert it in URL array
        shRemoveFromGETVarsList('sampleId');                   // remove sampleId var from GET vars list
                                                               // as we have found a text equivalent
      }  
    }
	  shRemoveFromGETVarsList('task');                           // also remove task, as it is not needed
	                                                             // because we can revert the SEF URL without
	                                                             // it
}
*/
switch($view){
			case "artists":
			
				if (isset($letter)) {
					$letter = $letter ;
				}

				if (!empty($letter)) {
					$title[] = $titol_menu;
					$title[] = $letter;
					// Unset the original URL variable not to interfere anymore.
					//unset($vars['letter']);
					shRemoveFromGETVarsList('letter'); 
				}
				else{
					$title[] = $titol_menu;
				}
				
				shRemoveFromGETVarsList('view');
			
			break;
			
			case "artist":
			
				if (isset($id)) {
					$query = "
						SELECT letter,artist_name
						FROM #__muscol_artists
						WHERE id = $id
						";
					$database->setQuery($query);
					$result = $database->loadObject();
				}
				
				// Now message title read from DB is added as the next part of the SEF path.
				if (!empty($result)) {
					$title[] = $titol_menu;
					$title[] = $result->letter;
					$title[] = $result->artist_name;
					// Unset the original URL variable not to interfere anymore.
					//unset($vars['id']);
					shRemoveFromGETVarsList('id');
				}
				else{
					$title[] = $titol_menu;
					$title[] = "newartist" ;
				}
				
				shRemoveFromGETVarsList('view');
			
			break;
			
			case "songs":
			
				if (isset($id)) {
					$query = "
						SELECT letter,artist_name
						FROM #__muscol_artists
						WHERE id = $id
						";
					$database->setQuery($query);
					$result = $database->loadObject();
				}
				
				// Now message title read from DB is added as the next part of the SEF path.
				if (!empty($result)) {
					$title[] = $titol_menu;
					$title[] = $result->letter;
					$title[] = $result->artist_name;
					$title[] = "songs";
					// Unset the original URL variable not to interfere anymore.
					//unset($vars['id']);
					shRemoveFromGETVarsList('id');
				}
				
				shRemoveFromGETVarsList('view');
			
			break;
			
			case "album":
			
				if (isset($id)) {
					$query = "
						SELECT al.name, ar.letter, ar.artist_name
						FROM #__muscol_albums as al
						LEFT JOIN #__muscol_artists as ar ON ar.id = al.artist_id
						WHERE al.id = $id
						";
					$database->setQuery($query);
					$result = $database->loadObject();
				}
				
				// Now message title read from DB is added as the next part of the SEF path.
				if (!empty($result)) {
					$title[] = $titol_menu;
					$title[] = $result->letter;
					$title[] = $result->artist_name;
					$title[] = $result->name;
					// Unset the original URL variable not to interfere anymore.
					//unset($vars['id']);
					shRemoveFromGETVarsList('id');
				}
				else{
					$title[] = $titol_menu;
					$title[] = "newalbum" ;
				}
				
				shRemoveFromGETVarsList('view');
			
			break;
			
			case "song":
			
				if (isset($id)) {
					$query = "
						SELECT s.name, al.name as album_name, ar.letter, ar.artist_name
						FROM #__muscol_songs as s
						LEFT JOIN #__muscol_albums as al ON al.id = s.album_id
						LEFT JOIN #__muscol_artists as ar ON ar.id = al.artist_id
						WHERE s.id = $id
						";
					$database->setQuery($query);
					$result = $database->loadObject();
				}
				
				// Now message title read from DB is added as the next part of the SEF path.
				if (!empty($result)) {
					$title[] = $titol_menu;
					$title[] = $result->letter;
					$title[] = $result->artist_name;
					$title[] = $result->album_name;
					$title[] = $result->name;
					// Unset the original URL variable not to interfere anymore.
					//unset($vars['id']);
					shRemoveFromGETVarsList('id');
				}
				
				shRemoveFromGETVarsList('view');
			
			break;
			
			case "file":
			
				if (isset($id)) {
					$query = "
						SELECT s.name, s.filename, al.name as album_name, ar.letter, ar.artist_name
						FROM #__muscol_songs as s
						LEFT JOIN #__muscol_albums as al ON al.id = s.album_id
						LEFT JOIN #__muscol_artists as ar ON ar.id = al.artist_id
						WHERE s.id = $id
						";
					$database->setQuery($query);
					$result = $database->loadObject();
				}
				
				// Now message title read from DB is added as the next part of the SEF path.
				if (!empty($result)) {
					$title[] = $titol_menu;
					$title[] = $result->letter;
					$title[] = $result->artist_name;
					$title[] = $result->album_name;
					$title[] = $result->name;
					$title[] = $result->filename;
					// Unset the original URL variable not to interfere anymore.
					//unset($vars['id']);
					shRemoveFromGETVarsList('id');
				}
				
				shRemoveFromGETVarsList('view');
			
			break;
			
			case "playlists":
			
				
					$title[] = $titol_menu;
					
			
			break;
			
			case "playlist":
			
				if (isset($id) && $id != "") {
					$query = "
						SELECT pl.*
						FROM #__muscol_playlists as pl
						WHERE pl.id = ".$id ;
						
					$database->setQuery($query);
					$result = $database->loadObject();
				}
				
				// Now message title read from DB is added as the next part of the SEF path.
				if (!empty($result)) {
					$title[] = $titol_menu;
					$title[] = JText::_('Playlists');
					$title[] = $result->title;
					// Unset the original URL variable not to interfere anymore.
					shRemoveFromGETVarsList('id');
				}
				if($id == 0){
					$title[] = $titol_menu;
					$title[] = JText::_('Playlists');
					$title[] = JText::_('On-the-go');
					// Unset the original URL variable not to interfere anymore.
					shRemoveFromGETVarsList('id');
				}
				shRemoveFromGETVarsList('view');
				/*shRemoveFromGETVarsList('format');
				shRemoveFromGETVarsList('type');
				if($task == "edit_playlist")        shRemoveFromGETVarsList('task');*/
				
			
			break;
			
			case "search":
				
					$title[] = $titol_menu;
					if($search == "albums") $title[] = JText::_('albums');
					if($search == "songs") $title[] = JText::_('songs');
					
					shRemoveFromGETVarsList('view');
					
			break;
			
			default:
				$dosef = false;
			break;
			
		}
		
	if($task == "popup_jwplayer"){
		$title[] = JText::_('popup_player');
		// Unset the original URL variable not to interfere anymore.
		shRemoveFromGETVarsList('task');
		$dosef = true;
		
	}	 
  
// ------------------  standard plugin finalize function - don't change ---------------------------  
if ($dosef){
   $string = shFinalizePlugin( $string, $title, $shAppendString, $shItemidString, 
      (isset($limit) ? @$limit : null), (isset($limitstart) ? @$limitstart : null), 
      (isset($shLangName) ? @$shLangName : null));
}      
// ------------------  standard plugin finalize function - don't change ---------------------------
  
?>
